From 06dea51a96762c4ac2a9b1a59fc15103e269c7d4 Mon Sep 17 00:00:00 2001
From: Raymond Yau <superquad.vortex2@gmail.com>
Date: Fri, 6 May 2011 13:23:06 +0800
Subject: [PATCH pulseaudio alsa 1/1] Add pa_alsa_dump when alsa-sink/alsa-source undderrun


Signed-off-by: Raymond Yau <superquad.vortex2@gmail.com>

diff --git a/src/modules/alsa/alsa-sink.c b/src/modules/alsa/alsa-sink.c
index ccbc062..f6f625f 100644
--- a/src/modules/alsa/alsa-sink.c
+++ b/src/modules/alsa/alsa-sink.c
@@ -434,7 +434,7 @@ static size_t check_left_to_play(struct userdata *u, size_t n_bytes, pa_bool_t o
         /* We got a dropout. What a mess! */
         left_to_play = 0;
         underrun = TRUE;
-
+	pa_alsa_dump(PA_LOG_ERROR, u->pcm_handle);
 #ifdef DEBUG_TIMING
         PA_DEBUG_TRAP;
 #endif
diff --git a/src/modules/alsa/alsa-source.c b/src/modules/alsa/alsa-source.c
index 3355fbd..a2cf062 100644
--- a/src/modules/alsa/alsa-source.c
+++ b/src/modules/alsa/alsa-source.c
@@ -423,7 +423,7 @@ static size_t check_left_to_record(struct userdata *u, size_t n_bytes, pa_bool_t
         /* We got a dropout. What a mess! */
         left_to_record = 0;
         overrun = TRUE;
-
+	pa_alsa_dump(PA_LOG_ERROR, u->pcm_handle);
 #ifdef DEBUG_TIMING
         PA_DEBUG_TRAP;
 #endif
-- 
1.6.0.6

